cURL
curl --request GET \
--url https://api.prd.rad.security/accounts/{account_id}/inventory_containers \
--header 'Authorization: <api-key>'import requests
url = "https://api.prd.rad.security/accounts/{account_id}/inventory_containers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.prd.rad.security/accounts/{account_id}/inventory_containers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"cluster_id": "<string>",
"cluster_name": "<string>",
"container_id": "<string>",
"created_at": "<string>",
"id": "<string>",
"image_digest": "<string>",
"image_name": "<string>",
"image_repo": "<string>",
"image_tag": "<string>",
"name": "<string>",
"owner_id": "<string>",
"owner_kind": "<string>",
"owner_name": "<string>",
"owner_namespace": "<string>",
"owner_resource_version": "<string>",
"owner_uid": "<string>"
}
],
"has_more": true,
"total_count": 123
}{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}Resources
Get accounts inventory containers
List inventory containers
GET
/
accounts
/
{account_id}
/
inventory_containers
cURL
Authorizations
Path Parameters
Account ID
Query Parameters
Sort details in format: field:asc|desc. Default: name:asc
Search phrase
Maximum number of results to return. Default: 100
Number of results to skip. Default: 0
Filters in format: key1:value1,key2:value2
⌘I